import { Visualizer } from '../../..';
import { IFilter, IScene } from '../../EventSystem/EventTypes';
export declare class SceneMetadataManager {
    experienceId: string;
    experienceHash: string;
    visualizer: Visualizer;
    sceneFilters: Array<IFilter>;
    constructor(visualizer: Visualizer, experienceId: string, experienceHash: string);
    getMetadata(): Promise<string>;
    getApiEndpoint(): any;
    getApiToken(): any;
    getCatalogProps(sceneIndex: string): {
        email: any;
        password: any;
        organization: any;
        catalog: any;
    };
    private getCurentZoneMetadata;
    getSceneImage(sceneIndex: string): any;
    getSceneTitle(sceneIndex: string): any;
    private getSceneCustomTitle;
    getSceneSubtitle(sceneIndex: string): any;
    rotateCameraToApplication(application: string): Promise<void>;
    getSceneList(): IScene[];
    GetSceneFilters(): IFilter[];
    GetSceneCurrentFilters(): IFilter[];
    SetSceneFilter(filters: IFilter[]): IFilter[];
}
